<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\group_activity;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\group_activity\GroupEquityLists;
use app\adminapi\logic\group_activity\GroupEquityLogic;
use app\adminapi\validate\group_activity\GroupEquityValidate;


/**
 * 拼团活动控制器
 * Class GroupEquityController
 * @package app\adminapi\controller\group_activity
 */
class GroupEquityController extends BaseAdminController
{


    /**
     * @notes 获取拼团活动列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/13 10:31
     */
    public function lists()
    {
        return $this->dataLists(new GroupEquityLists());
    }


    /**
     * @notes 添加拼团活动
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/13 10:31
     */
    public function add()
    {
        $params = (new GroupEquityValidate())->post()->goCheck('add');
        $result = GroupEquityLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(GroupEquityLogic::getError());
    }


    /**
     * @notes 编辑拼团活动
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/13 10:31
     */
    public function edit()
    {
        $params = (new GroupEquityValidate())->post()->goCheck('edit');
        $result = GroupEquityLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(GroupEquityLogic::getError());
    }


    /**
     * @notes 删除拼团活动
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/13 10:31
     */
    public function delete()
    {
        $params = (new GroupEquityValidate())->post()->goCheck('delete');
        GroupEquityLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取拼团活动详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/03/13 10:31
     */
    public function detail()
    {
        $params = (new GroupEquityValidate())->goCheck('detail');
        $result = GroupEquityLogic::detail($params);
        return $this->data($result);
    }

}